---
title: 'About Me'
date: 2017-12-01T10:00:48+01:00
draft: false

lastmod: 2021-12-23T10:00:48+01:00
showDateUpdated: true

# custom overrides for pages
#showDate: false
#showAuthor: false
#showWordCount: false
showReadingTime: false
showEdit: false
#sharingLinks: [null]
showPagination: false
showTableOfContents: false
---

{{< figure src="me.jpg" width="1200" height="800" >}}

{{< icon "address-card" >}} Hi, my name is Marco Blessing and I live in the south of Germany near a city called
[Karlsruhe](https://goo.gl/maps/kDpo6bb9V2r).

### {{< icon "terminal" >}} Projects

Take a look at this [Projects](/) page to get an overview of my current work.

### {{< icon "heart" >}} Favorite Topics

I'm very interested in **PowerShell**, **NodeJS**, **Go** and **Software Engineering** in general.

Additionally I love building **CI/CD Stacks** with different open-source products to spread the word
of **DevOps** and **Containerization**.

### {{< icon "cubes" >}} Skills

_Here comes a list of subjects I've worked with, grouped by topics..._

#### {{< icon "cube" >}} Container and {{< icon "docker" >}}Docker related

Traefik &bull; Portainer &bull; Docker Swarm Mode &bull; Sonatype Nexus Repository &bull; Aquasecurity Trivy &bull;
Prometheus &bull; Node-Exporter &bull; cAdvisor &bull; Alertmanager &bull; Karma

#### {{< icon "code" >}} Scripting and Programming Languages

PowerShell &bull; JavaScript &bull; Go &bull; Python &bull; PHP &bull; Object Pascal &bull; C++ &bull; Visual Basic

#### {{< icon "terminal" >}} Operating Systems

Microsoft Windows 98SE++ &bull; Microsoft Windows Server 2000++ &bull;
CentOS _(and other Red Hat Enterprise Linux derivatives)_ &bull; SLES &bull; ubuntu

#### {{< icon "cloud" >}} Cloud Orchestration and Automation

Microsoft Azure &bull; eCloud Manager &bull; FLOWSTER Studio &bull; Citrix Cloud Platform &bull; Citrix Cloud Platform Business Manager

#### {{< icon "cogs" >}} Server Roles, Features and Products

Active Directory &bull; File Server &bull; Web Server _(IIS and Apache)_ &bull;
DBs _(MSSQL, MySQL, PostgresSQL, Oracle 10g)_ &bull; Backup & Restore _(IBM Tivoli Storage Manager)_ &bull;
Server Hypervisor _(VMWare ESX, HyperV)_ &bull; Terminal Server _(Microsoft, Citrix XenApp/ XenDesktop)_ &bull;
Software Virtualization _(VMware ThinApp)_ &bull; Software Packaging and Deployment _(Enteo Netinstall, Matrix42)_
&bull; Monitoring _(Zabbix)_ &bull; Build Engines _(Jenkins, AppVeyor)_

#### {{< icon "cog" >}} General Software

HAproxy &bull; Keepalive &bull; git SCM &bull; Phabricator &bull; VSCode &bull; Notepad++

### {{< icon "briefcase" >}} Experience

#### {{< icon "calendar-alt" >}}&nbsp;2018 - 202{{< icon "question" >}}&nbsp;&nbsp;{{< icon "building" >}} [Komm.ONE](https://komm.one) as **SysOp** / **DevOps Engineer**

{{< icon "calendar-plus" >}}&nbsp;**2019**&nbsp;&nbsp; Internal Self Service Portal

I spent the second half of the year creating a single-page application based on [Vue.js](https://vuejs.org/) for
visualizing product changelog and configuration details. Therefore I had to relearn javaScript and started working
with the [materialize-css](https://materializecss.com/) framework and other well known node modules.

{{< icon "calendar-plus" >}}&nbsp;**2019**&nbsp;&nbsp; Release Management Tool MkII

First part of the year I was focused on expanding the Release Management tools and workflows for our cloud hosted
applications:

- Added automated aggregation of release details for each hosted application.
- Added changelog workflow for documenting releases.
- Defined rollout life cycle states for each new release.
- ITIL compliant syncing of the release data into centralized CMDB.

{{< icon "calendar-plus" >}}&nbsp;**2018**&nbsp;&nbsp; KIVBF merged with its partners to form Komm.ONE in order
to be able to offer uniform services. After adjusting the internal organizational structure, I'm now part of the
business unit 4.2 _(Integration-, Security- & Application Managent)_. My previous team was reassigned to this new
unit as well, and was renamed into CAFS _(Cloud- & Application-Frontend-Services)_. So my range of tasks changed
slightly.

#### {{< icon "calendar-alt" >}}&nbsp;2012 - 2018&nbsp;&nbsp; {{< icon "building" >}} [KIVBF](https://www.kivbf.de) as **SysOp** / **DevOps Engineer**

{{< icon "calendar-plus" >}}&nbsp;**2015**&nbsp;&nbsp; In 2015 I started automating several platform and workload
related use cases. Unfortunately it's closed source, so I can't talk about details. But to give a glimpse at the
underlining technologies I can notice they were based on **Microsoft**, **VMware** and **Citrix** products.

{{< icon "calendar-plus" >}}&nbsp;**2014**&nbsp;&nbsp; As the automation team got bigger and bigger, we needed to
define standards. That's why I began using [Phabricator](https://www.phacility.com/phabricator/) as a developer
framework in combination with [Jenkins](https://jenkins.io/) to build our modules. This enabled us doing code
review, lint tests,unit test and building our own CI Environment.

{{< icon "calendar-plus" >}}&nbsp;**2013**&nbsp;&nbsp; I joined into a new team which was building our new cloud
infrastructure. We purposed to offer our customers IaaS, PaaS, SaaS and EaaS services. My focus shifted
to automation and cloud orchestration. Back then I started using Powershell.

{{< icon "calendar-plus" >}}&nbsp;**2012**&nbsp;&nbsp; I needed to get away from those wacky enterprise applications
which were used in the public sector. So I took the chance to work in much bigger datacenter at
[KIVBF](https://www.kivbf.de). There I ran the backup and restore solution called IBM Tivoli Storage Manager (TSM).

It was a great place to get to know such large environment and I finally started automating again. At this time I
implemented the monitoring system [Zabbix](http://www.zabbix.com/). Unfortunately I couldn't find any extension to
monitor out IBM tape library or TSM data itself. So I developed own interfaces therefore.

#### {{< icon "calendar-alt" >}}&nbsp;2008 - 2012&nbsp;&nbsp; {{< icon "building" >}} [Pforzheim municipal administration](https://www.pforzheim.de/) as **SysOp**

At the municipal administration of Pforzheim I was responsible for the**Software Packaging and Deployment**,
**MS-SQL Servers** and **Web Hosting**.

### {{< icon "graduation-cap" >}}&nbsp;Education

I successfully finished two undergraduate trainings as **IT Specialist For Application Development** and
**Management Assistant in IT-Systems**.
